SelectSelector (Apache Ant API)
Keywords: org.apache.tools.ant.types.selectors.SelectSelector class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.selectors
Class SelectSelector

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.selectors.BaseSelector
                  org.apache.tools.ant.types.selectors.BaseSelectorContainer
                      org.apache.tools.ant.types.selectors.AndSelector
                          org.apache.tools.ant.types.selectors.SelectSelector

All Implemented Interfaces:
  FileSelector, SelectorContainer

public class SelectSelector
extends AndSelector

This selector just holds one other selector and forwards all requests to it. It exists so that there is a single selector type that can exist outside of any targets, as an element of project. It overrides all of the reference stuff so that it works as expected. Note that this is the only selector you can reference.

Since:
  1.5
Author:
  Bruce Atherton

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`SelectSelector()` Default constructor.

Method Summary
`void` | `appendSelector(FileSelector selector)` Add a new selector into this container.
`FileSelector[]` | `getSelectors(Project p)` Returns the set of selectors as an array.
`boolean` | `hasSelectors()` Indicates whether there are any selectors here.
`int` | `selectorCount()` Gives the count of the number of selectors in this container
`java.util.Enumeration` | `selectorElements()` Returns an enumerator for accessing the set of selectors.
`java.lang.String` | `toString()` Convert the Selectors within this container to a string.
`void` | `verifySettings()` Makes sure that there is only one entry, sets an error message if not.

Methods inherited from class org.apache.tools.ant.types.selectors.AndSelector
`isSelected`

Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelectorContainer
`addAnd, addContains, addCustom, addDate, addDepend, addDepth, addFilename, addMajority, addNone, addNot, addOr, addPresent, addSelector, addSize, validate`

Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelector
`getError, setError`

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectSelector

    public SelectSelector()

  Default constructor.

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `BaseSelectorContainer`
  Convert the Selectors within this container to a string. This will just be a helper class for the subclasses that put their own name around the contents listed here.

  Overrides:
    `toString` in class `AndSelector`

### hasSelectors

    public boolean hasSelectors()

  Indicates whether there are any selectors here.

  Specified by:
    `hasSelectors` in interface `SelectorContainer`
  Overrides:
    `hasSelectors` in class `BaseSelectorContainer`

### selectorCount

    public int selectorCount()

  Gives the count of the number of selectors in this container

  Specified by:
    `selectorCount` in interface `SelectorContainer`
  Overrides:
    `selectorCount` in class `BaseSelectorContainer`

### getSelectors

    public FileSelector[] getSelectors(Project p)

  Returns the set of selectors as an array.

  Specified by:
    `getSelectors` in interface `SelectorContainer`
  Overrides:
    `getSelectors` in class `BaseSelectorContainer`

### selectorElements

    public java.util.Enumeration selectorElements()

  Returns an enumerator for accessing the set of selectors.

  Specified by:
    `selectorElements` in interface `SelectorContainer`
  Overrides:
    `selectorElements` in class `BaseSelectorContainer`

### appendSelector

    public void appendSelector(FileSelector selector)

  Add a new selector into this container.

  Specified by:
    `appendSelector` in interface `SelectorContainer`
  Overrides:
    `appendSelector` in class `BaseSelectorContainer`
  Parameters:
    `selector` - the new selector to add
  Returns:
    the selector that was added

### verifySettings

    public void verifySettings()

  Makes sure that there is only one entry, sets an error message if not.

  Overrides:
    `verifySettings` in class `BaseSelector`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.